// Copyright 2002-2011, University of Colorado
/**
 * This class updates the positions of atoms in a monatomic data set (i.e.
 * where each molecule is just a single atom).
 *
 * @author John
 */
define( function( require ) {
'use strict';
  
  // modules
var inherit = require( 'PHET_CORE/inherit' );
var Vector2 = require('java.awt.geom.Vector2');
var MoleculeForceAndMotionDataSet = require('STATES_OF_MATTER/states-of-matter/model/MoleculeForceAndMotionDataSet');
 
  
  return inherit(Object,MonatomicAtomPositionUpdater,{
updateAtomPositions: function( moleculeDataSet) {
    // Make sure this is not being used on an inappropriate data set.
    assert && assert(moleculeDataSet.getAtomsPerMolecule() == 1);
    // Get direct references to the data in the data set.
    var atomPositions = moleculeDataSet.getAtomPositions();
    var moleculeCenterOfMassPositions = moleculeDataSet.getMoleculeCenterOfMassPositions();
    // Position the atoms to match the position of the molecules.
    for (var i = 0; i < moleculeDataSet.getNumberOfMolecules(); i++) {
        atomPositions[i].setLocation(moleculeCenterOfMassPositions[i]);
    }
}
});
} );

