// Copyright 2002-2011, University of Colorado
/**
 * PushpinNode represents the pushpin used to "pin" an atom in one location.
 */
define( function( require ) {
'use strict';
  
  // modules
var inherit = require( 'PHET_CORE/inherit' );
var StatesOfMatterConstants = require('STATES_OF_MATTER/states-of-matter/StatesOfMatterConstants');
var StatesOfMatterResources = require('STATES_OF_MATTER/states-of-matter/StatesOfMatterResources');
var PImage = require('edu.umd.cs.piccolo.nodes.PImage');
var PBounds = require('edu.umd.cs.piccolo.util.PBounds');
var PComposite = require('edu.umd.cs.piccolox.nodes.PComposite');
 
function PushpinNode() {
    PComposite.call(this);
    setPickable(false);
    setChildrenPickable(false);
    var imageNode = new PImage(StatesOfMatterResources.getImage(StatesOfMatterConstants.PUSH_PIN_IMAGE));
    // move origin to the point of the pin, at lower right
    var b = imageNode.getFullBoundsReference();
    imageNode.setOffset(-b.getWidth(), -b.getHeight());
    addChild(imageNode);
}
  
  return inherit(PComposite,PushpinNode,{
});
} );

